body {
    font-family: Inter;
}


/* Mobile styles */
@media (max-width: 864px) {
  
    body {
        background-color: #fff;
    }

    .container {
        width: auto;
        height: auto;
        margin-left: auto;
        margin-right: auto;
        padding-left: 0px;
        padding-right: 0px;
        background-color: #fff;
    }

    .header {
        display: none;
    }
    
    .logo a {
      text-decoration: none;
      color: #000;
    }
    
    .user-cart {
        display: none;
        width: auto;
        height: 24px;
        gap: 32px;
        margin: 0;
        padding: 0;
    }

    .user-cart a {
      text-decoration: none;
      color: #000;
    }
    
    .user-account {
        display: none;
        color: black;
        font-size: 12px;
        font-family: Inter;
        font-weight: 400;
        text-decoration: underline;
        line-height: 20px;
        letter-spacing: 0.75px;
        padding: 0;
        margin: 0;
    }

    .user-account button {
      color: #fff;
      background-color: #0046FF;
      box-shadow: none;
      border-width: 0;
      width: 80px;
      height: 40px;
      border-radius: 4px;
      font-size: 12px;
      font-weight: 400;
      letter-spacing: 0.75px;
      cursor: pointer;
    }
    
    .cart {
        display: none;
        color: black;
        font-size: 12px;
        font-family: Inter;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0.75px;
        padding: 0;
        margin: 0;
    }
    
    /*styling for navigation*/
    
    .nav {
        display: none;
        width: 60%;
        height: 20px;
        padding: 0;
        margin-top: 28px;
        margin-bottom: 0;
        margin-left: auto;
        margin-right: auto;
    }
    
    .nav-item {
        display: none;
        color: black;
        font-size: 12px;
        font-family: Inter;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0.75px;
        margin: 0;
        padding: 0;
    }

    .nav-item a {
      text-decoration: none;
      color: #000;
    }

    .nav-item:active {
      font-weight: 600;
    }
    

    /*styling for header-mobile*/

    .header-mobile {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        margin-top: 16px;
        margin-bottom: 96px;
        padding-left: 16px;
        padding-right: 16px;
    }

    .menu {
        font-size: 12px;
        letter-spacing: 0.75px;
        font-weight: 400;
    }

    /*styling for nav-mobile*/

    .nav-mobile {
        width: auto;
        height: auto;
        position: relative;
        top: -64px;
        z-index: 10;
        display: none;
        flex-direction: column;
        gap: 32px;
        align-items: flex-start;
        background-color: #f2f6ff;
        padding-left: 16px;
        padding-right: 16px;
        padding-top: 64px;
        padding-bottom: 64px;
    }

    .nav-mobile button {
      color: #fff;
      background-color: #0046FF;
      box-shadow: none;
      border-width: 0;
      width: 80px;
      height: 40px;
      border-radius: 4px;
      font-size: 12px;
      font-weight: 400;
      letter-spacing: 0.75px;
      cursor: pointer;
    }

    .nav-mobile a {
        z-index: 11;
        color: black;
        text-decoration: none;
        font-size: 14px;
        font-family: Inter;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0.75px;
        margin: 0;
        padding: 0;
    }

    .hambtn {
        border: 0;
        color: black;
        background-color: #fff;
    }

    .hambtn > span {
        font-size: 14px;
        letter-spacing: 0.5px;
        font-weight: 300;
    }




    /*styling for promotional banners*/
    
    .promotional-banners {
        width: auto;
        height: auto;
        margin-top: 56px;
        margin-bottom: 48px;
        padding-left: 0px;
        padding-right: 0px;
        margin: 0;
        display: none;
        align-items: center;
        justify-content: center;
    }

    .promotional-banners img{
        display: none;
        height: auto;
        width: auto;
    }

    /*styling for promotional banners mobile*/
    
    .promotional-banners-mobile {
        width: auto;
        height: auto;
        margin-top: 56px;
        margin-bottom: 48px;
        padding-left: 16px;
        padding-right: 16px;
        margin: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .promotional-banners-mobile img{
        height: auto;
        width: 100%;
    }

    
    /*styling for trending*/
    
    .trending {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 16px;
        padding-right: 0px;
    }
    
    .trend-items {
        margin-top: 56px;
        margin-bottom: 0;
        display: flex;
        flex-direction: row;
        gap: 16px;
        overflow-x: scroll;
    }

    .trend-items img {
        width: auto;
        height: 150px;
    }

            /* Hide scrollbar for Chrome, Safari and Opera */
            .trend-items::-webkit-scrollbar {
                display: none;
                }
              
                /* Hide scrollbar for IE, Edge and Firefox */
                .trend-items {
                -ms-overflow-style: none;  /* IE and Edge */
                scrollbar-width: none;  /* Firefox */
                }
    
    /*styling for latest*/
    
    .latest {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 16px;
        padding-right: 0px;
    
    }
    
    .latest-items {
        margin-top: 56px;
        margin-bottom: 0;
        display: flex;
        gap: 16px;
        align-items: center;
        overflow-x: scroll;
    }

    .latest-items img {
        width: auto;
        height: 150px;
    }

        /* Hide scrollbar for Chrome, Safari and Opera */
        .latest-items::-webkit-scrollbar {
            display: none;
            }
          
            /* Hide scrollbar for IE, Edge and Firefox */
            .latest-items {
            -ms-overflow-style: none;  /* IE and Edge */
            scrollbar-width: none;  /* Firefox */
            }
    
    /*styling for discounts*/
    
    .discounts {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 16px;
        padding-right: 0px;
    }
    
    .discount-items {
        margin-top: 56px;
        margin-bottom: 0;
        display: flex;
        flex-direction: row;
        gap: 16px;
        align-items: center;
        overflow-x: scroll;
    }

    .discount-items img {
        width: auto;
        height: 150px;
    }
    
    /* Hide scrollbar for Chrome, Safari and Opera */
    .discount-items::-webkit-scrollbar {
    display: none;
    }
  
    /* Hide scrollbar for IE, Edge and Firefox */
    .discount-items {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    }
    
    /*styling for footer*/
    
    .footer {
        width: auto;
        height: auto;
        margin-top: 48px;
        margin-bottom: 0;
        margin-left: 0;
        margin-right: 0;
        padding-top: 48px;
        padding-bottom: 96px;
        padding-left: 16px;
        padding-right: 16px;
        background-color: aliceblue;
        display: flex;
        gap: 116px;
        align-items: flex-start;
        justify-content: flex-start;
        
    }
    
    .footer-title {
        font-size: 14px;
        font-weight: 600;
        line-height: 20px;
        letter-spacing: 0.75px;
    }

    .footer-category a {
      text-decoration: none;
      color: #000;
    }
    
    .f-links {
        margin-top: 24px;
        margin-bottom: 0;
        display: flex;
        flex-direction: column;
        gap: 8px;
        font-size: 12px;
        font-weight: 500;
        line-height: 20px;
        letter-spacing: 0.75px;
    }



    /**************styling for product page***************************************/



    /*styling for product*/

    .product {
        position: relative;
        width: auto;
        height: auto;
        margin-top: 96px;
        margin-bottom: 96px;
        padding-left: 16px;
        padding-right: 16px;
        display: flex;
        flex-direction: column;
        gap: 64px;
    }




    
img {
    vertical-align: middle;
  }
  
  /* Position the image container (needed to position the left and right arrows) */
  .container {
    position: relative;
    width: 100%;
    height: auto;
  }
  
  /* Hide the images by default */
  .mySlides {
    display: none;
  }

  .mySlides img {
    width: 100%;
    height: auto;
  }
  
  /* Add a pointer when hovering over the thumbnail images */
  .cursor {
    cursor: pointer;
  }
  
  /* Next & previous buttons */
  .prev,
  .next {
    cursor: pointer;
    position: absolute;
    top: 40%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    border-radius: 0 3px 3px 0;
    user-select: none;
    -webkit-user-select: none;
  }
  
  /* Position the "next button" to the right */
  .next {
    right: 0;
    border-radius: 3px 0 0 3px;
  }
  
  /* On hover, add a black background color with a little bit see-through */
  .prev:hover,
  .next:hover {
    background-color: rgba(0, 0, 0, 0.8);
  }
  
  /* Number text (1/3 etc) */
  .numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
  }
  
  /* Container for image text */
  .caption-container {
    text-align: center;
    background-color: #222;
    padding: 2px 16px;
    color: white;
  }

  .row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
    margin-top: 40px;
    margin-bottom: 0;
  }
  
  .row:after {
    content: "";
    display: table;
    clear: both;
  }
  
  /* Six columns side by side */
  .column {
    float: left;
    width: 16.66%;
  }
  
  /* Add a transparency effect for thumnbail images */
  .demo {
    opacity: 1;
    border-radius: 8px;
  }
  
  .active,
  .demo:hover {
    opacity: 1;
  }


  /*styling for product-desccription*/




  .product-description > h1 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    padding: 0;
    margin-top: 0;
    margin-bottom: 30px;
  }

  .product-description > p {
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.75px;
    line-height: 22.4px;
    padding: 0;
    margin-top: 30px;
    margin-bottom: 24px;
  }

  .accordion {
    width: 100%;
    border-width: 0;
    background-color: #fff;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.75px;
    padding-right: 40px;
    padding-left: 0;
    margin-top: 24px;
    margin-bottom: 24px;
    display: flex;
    justify-content: space-between;
  }

  .panel {
    display: none;
    padding: 0;
    margin: 0;
  }


  .panel p {
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.75px;
    line-height: 21.4px;
    padding: 0;
    margin: 0;
  }

  .color {
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-left: 0;
    margin-right: 0;
    margin-top: 80px;
    margin-bottom: 40px;
    padding: 0;
  }


  .color >button {
    width: 30px;
    height: 30px;
    background-color: #fff;
    border-width: 0;
    margin: 0;
    padding: 0;
  }

  .order {
    padding: 0;
    margin-top: 40px;
    margin-bottom: 30px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 80px;
  }

  .size {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 8px;
  }

  .size button {
    height: 44px;
    width: 33px;
    margin: 0;
    padding-left: 0;
    padding-right: 0;
    box-shadow: 0;
    border-radius: 4px;
  }

  #b1 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  #b2 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  #b3 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  #b4 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  .order-qty {
    font-size: 0;
  }

  .order-qty button {
    height: 44px;
    width: 44px;
    background-color: #fff;
    box-shadow: none;
    border: 0.25px solid rgba(0, 0, 0, 0.25);

  }

  #bp {
    border-radius: 22px 0 0 22px;
    border-right-width: 0;
  }

  #bm {
    border-radius: 0 22px 22px 0;
    border-left-width: 0;
  }

  .order-qty input {
    height: 40px;
    width: 44px;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    border-left-width: 0;
    border-right-width: 0;
    text-align: center;
  }


  /* Chrome, Safari, Edge, Opera */
  input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  /* Firefox */
  input[type=number] {
    -moz-appearance: textfield;
  }


  .addtocart {
    padding: 0;
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 40px;
    align-items: center;
    justify-content: flex-start;
  }

  .addtocart h3 {
    font-size: 32px;
    font-weight: 600;
    letter-spacing: 0.5px;
  }

  .addtocart button {
    width: 160px;
    height: 40px;
    background-color: #0046FF;
    color: #fff;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 1px;
    line-height: 20px;
    border-radius: 4px 4px 4px 4px;
    border: 0 solid #fff;
    box-shadow: none;
  }

  .item-added {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 80px;
    left: 16px;
    max-width: 100%;
    height: auto;
    z-index: 7;
    background-color: #fff;
    border-radius: 8px;
    padding-left: 16px;
    padding-right: 16px;
    padding-top: 32px;
    padding-bottom: 32px;
    box-shadow: 8px 16px 24px -2px rgba(144, 177, 255, 0.15);
    border: 1px solid rgba(144, 177, 255, 0.3);
  }

  .close{
    display: inline;
    position: relative;
    top: -96px;
    left: -32px;
    font-size: 32px;
    font-weight: 200;
    margin: 0;
    padding: 0;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
  }



  .items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap-reverse;
    align-items: flex-start;
    gap: 24px;
  }

  .items img {
    width: 100px;
    height: 100px;
    border-radius: 8px;
  }

  .items h3 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    line-height: 21.4px;
    padding: 0;
    margin: 0;
  }

  .prod-cost {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }

  .details {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    gap: 16px;
    margin-top: 32px;
  }

  .details img {
    width: 18px;
    height: 18px;
  }

  .details h3 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    line-height: 21.4px;
    padding: 0;
    margin: 0;
  }

  .actions {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 24px;
    margin-top: 64px;
    align-items: center;
    justify-content: center;
  }

  .actions button {
    height: 44px;
    margin: 0;
    padding: 16px;
    font-size: 12px;
    letter-spacing: 0.75px;
    align-items: center;
    border-radius: 4px;
    box-shadow: none;
  }

  #ab1 {
    border: 1px solid #000;
    background-color: #fff;
    color: #000;
  }

  #ab2 {
    border: 0px solid #000;
    background-color: #0046ff;
    color: #fff;
  }

  #ab1 a {
    text-decoration: none;
    color: #000;
  }

  #ab2 a {
    text-decoration: none;
    color: #fff;
  }

  .returns {
    padding: 0;
    margin-top: 90px;
    margin-bottom: 0;
  }

  .returns h3 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    padding: 0;
    margin-top: 0;
    margin-bottom: 40px;
  }

  .returns p {
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.75px;
    line-height: 21.4px;
  }

  /********styling for cart*******/

  .incart {
    width: auto;
    padding-left: 16px;
    padding-right: 16px;
    padding-top: 96px;
    padding-bottom: 48px;
  }

  .incart h1 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 48px;
    margin-top: 0;
    padding: 0;
  }

  .cart-items {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 24px;
  }

  .item-details {
    margin: 0;
    padding: 0;
  }

  .item-details h3{
    padding: 0;
    margin: 0;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
  }

  .remove {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap:32px;
  }

  .remove h3 {
    padding: 0;
    margin: 0;
    font-size: 24px;
    font-weight: 500;
    letter-spacing: 0.75px;
  }

  .final {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
  }

  .final button {
    height: 44px;
    width: auto;
    border-radius: 4px;
    box-shadow: none;
    border-width: 0;
    font-size: 12px;
    letter-spacing: 0.75px;
    font-weight: 400;
    padding-left: 20px;
    padding-right: 20px;
  }

  .final a {
    color: #fff;
    text-decoration: none;
  }

  .recommended {
    width: auto;
    height: auto;
    padding-left: 16px;
    padding-right: 16px;
    margin-top: 48px;
    margin-bottom: 96px;
  }


  /*******************styling for checkout*******************************/

.delivery {
  width: auto;
  height: auto;
  padding-left: 16px;
  padding-right: 16px;
  padding-top: 0px;
  padding-bottom: 96px;
  margin: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap-reverse;
  gap: 96px;
}

.delivery-details h3{
  font-size: 18px;
  font-weight: 400;
  letter-spacing: 0.5px;
  padding: 0;
  margin-bottom: 48px;
  margin-top: 0;
}

.delivery-details form {
  margin-top: 0;
  margin-bottom: 64px;
}

.delivery-details label {
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.75px;
  padding: 0;
  margin: 0;
}

.delivery-details input {
  width: 80%;
  height: 40px;
  border: 0.5px solid rgba(0, 0, 0, 0.4);
  border-radius: 4px;
  margin-top: 24px;
  margin-bottom: 24px;
}

.delivery-details input::placeholder {
  font-size: 12px;
  font-weight: 300;
  letter-spacing: 0.75px;
  padding: 10px;
  margin: 0;
}

.delivery-details button {
  width: auto;
  height: 44px;
  box-shadow: none;
  border-radius: 4px;
  border-width: 0;
  background-color: #0046FF;
  color: #fff;
  font-size: 12px;
  letter-spacing: 0.75px;
  font-weight: 400;
  padding-left: 20px;
  padding-right: 20px;
}

.item-det {
  margin: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 32px;
}

.item-det img {
  width: 200px;
  height: 200px;
  border-radius: 4px;
}

.item-det h3 {
  font-size: 18px;
  font-weight: 400;
  letter-spacing: 0.75px;
  margin: 0;
  padding: 0;
}

.item-det p {
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.75px;
  margin-top: 32px;
  margin-bottom: 32px;
  padding: 0;
}

.discount-code {
  margin-top: 64px;
  margin-bottom: 64px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 32px;
}

.discount-code input {
  width: 80%;
  height: 40px;
  border: 0.5px solid rgba(0, 0, 0, 0.4);
  border-radius: 4px;
  margin-top: 0px;
  margin-bottom: 0px;
}

.discount-code input::placeholder {
  font-size: 12px;
  font-weight: 300;
  letter-spacing: 0.75px;
  padding: 10px;
  margin: 0;
}

.discount-code button {
  width: auto;
  height: 44px;
  box-shadow: none;
  border-radius: 4px;
  border-width: 0;
  background-color: #0046FF;
  color: #fff;
  font-size: 12px;
  letter-spacing: 0.75px;
  font-weight: 400;
  padding-left: 20px;
  padding-right: 20px;
}

.price {
  display: flex;
  flex-direction: row;
  gap: 128px;
}

.price-section {
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.price-section p {
  font-size: 12px;
  font-weight: 600;
  letter-spacing: 0.75px;
  margin: 0;
  padding: 0;
}

/*************************************styling for mens*****************************/

.categories {
  padding-left: 16px;
  padding-right: 16px;
  margin-top: 96px;
  margin-bottom: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.categories button  {
  height: 44px;
  width: 120px;
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.75px;
  border-radius: 22px;
  text-decoration: none;
  box-shadow: none;
  border: 0.5px solid rgba(0, 0, 0, 0.4);
  background-color: #fff;
  color: #000;
  margin: 0 12px 12px 0px;
  padding: 0;
  cursor: pointer;
}

.categories a {
  text-decoration: none;
  color: #000;
}



.category {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 16px;
  padding-right: 16px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.white-space {
  margin: 0;
  padding: 0;
}

.product-list {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
}

.category-title {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  margin-bottom: 24px;
  margin-top: 0;
}

.category-title h2{
  font-size: 18px;
  font-weight: 600;
  letter-spacing: 0.75px;
}

.category-title button {
  font-size: 12px;
  letter-spacing: 0.75px;
  text-decoration: underline;
  line-height: 14px;
  border-width: 0;
  background-color: #fff;
  cursor: pointer;
}

.category-items {
  display: flex;
  flex-direction: row;
  overflow-x: scroll;
  gap: 24px;
  margin: 0;
  padding: 0;
}

.category-items::-webkit-scrollbar {
  display: none;
}

.category-items {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.category-item {
  display: flex;
  flex-direction: column;
  gap: 0px;
  margin: 0;
  padding: 0;
}

.category-item img {
  margin: 0;
  padding: 0;
}

.product-details {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin: 0;
  padding: 0;
}

.product-details h3 {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.75px;
  line-height: 21.4px;
  margin-top: 24px;
  margin-bottom: 0;
  padding: 0;
}

.product-details p {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.75px;
  line-height: 21.4px;
  margin-top: 24px;
  margin-bottom: 0;
  padding: 0;
}

.category-item h6 {
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.75px;
  margin-top: 8px;
  margin-bottom: 0;
  padding: 0;
}

.category-variant-1 {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 16px;
  padding-right: 16px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.category-variant-2 {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 16px;
  padding-right: 16px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.category-variant-3 {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 16px;
  padding-right: 16px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.category-item-variant-3 {
  display: flex;
  flex-direction: column;
  gap: 0px;
  margin: 0;
  padding: 0;
}

.category-item-variant-3 img {
  margin: 0;
  padding: 0;
  width: 160px;
  height: 160px;
}

.category-item-variant-3  {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 0;
}

.product-details-variant-3 p {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.75px;
  line-height: 21.4px;
  margin-top: 24px;
  margin-bottom: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

}


/************************** Desktop styles ***************************************/

@media (min-width: 865px) {

    body {
      background-color: #fff;
    }

    body::-webkit-scrollbar {
      display: none;
    }

    .container {
        width: auto;
        height: auto;
        margin-left: auto;
        margin-right: auto;
        padding-left: 0px;
        padding-right: 0px;
    }

    .header {
        width: auto;
        height: auto;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        padding-left: 100px;
        padding-right: 100px;
        margin-top: 48px;
        margin-bottom: 64px;
    }

    .header-mobile {
        display: none;
    }

    .menu-mobile {
        display: none;
    }

    .logo a {
      text-decoration: none;
      color: #000;
    }
    
    .user-cart {
        width: auto;
        height: 24px;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 32px;
        margin: 0;
        padding: 0;
    }

    .user-cart a {
      text-decoration: none;
      color: #000;
    }
    
    .user-account {
        color: black;
        font-size: 12px;
        font-family: Inter;
        font-weight: 400;
        text-decoration: underline;
        line-height: 20px;
        letter-spacing: 0.75px;
        padding: 0;
        margin: 0;
    }

    .user-account button {
      color: #fff;
      background-color: #0046FF;
      box-shadow: none;
      border-width: 0;
      width: 80px;
      height: 40px;
      border-radius: 4px;
      font-size: 12px;
      font-weight: 400;
      letter-spacing: 0.75px;
      cursor: pointer;
    }
    
    .cart {
        color: black;
        font-size: 12px;
        font-family: Inter;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0.75px;
        padding: 0;
        margin: 0;
    }
    
    /*styling for navigation*/
    
    .nav {
        width: 60%;
        height: 20px;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        padding: 0;
        margin-top: 28px;
        margin-bottom: 0;
        margin-left: auto;
        margin-right: auto;
    }
    
    .nav-item {
        color: black;
        font-size: 12px;
        font-family: Inter;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0.75px;
        margin: 0;
        padding: 0;
    }

    .nav-item a {
      text-decoration: none;
      color: #000;
    }

    .nav-item:active {
      font-weight: 600;
    }
    

    .nav-mobile {
        display: none;
    }
    
    /*styling for promotional banners*/
    
    .promotional-banners {
        width: auto;
        height: auto;
        margin-top: 56px;
        margin-bottom: 48px;
        padding-left: 100px;
        padding-right: 100px;
        display: flex;
        align-items: center;
        justify-content: center;
    
    }

    .promotional-banners-mobile {
        display: none;
    }
    
    /*styling for trending*/
    
    .trending {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 100px;
        padding-right: 100px;
    }
    
    .trend-items {
        margin-top: 56px;
        margin-bottom: 0;
        display: flex;
        gap: 32px;
        flex-wrap: wrap;
    }
    
    /*styling for latest*/
    
    .latest {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 100px;
        padding-right: 100px;
    
    }
    
    .latest-items {
        margin-top: 56px;
        margin-bottom: 0;
        display: flex;
        gap: 32px;
        align-items: center;
        flex-wrap: wrap;
    }
    
    /*styling for discounts*/
    
    .discounts {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 100px;
        padding-right: 100px;
    }
    
    .discount-items {
        margin-top: 56px;
        margin-bottom: 0;
        display: flex;
        gap: 32px;
        align-items: center;
        flex-wrap: wrap;
    }
    
    /*styling for footer*/
    
    .footer {
        width: auto;
        height: auto;
        margin-top: 48px;
        margin-bottom: 0;
        margin-left: 0;
        margin-right: 0;
        padding-top: 48px;
        padding-bottom: 96px;
        padding-left: 100px;
        padding-right: 100px;
        background-color: aliceblue;
        display: flex;
        gap: 116px;
        align-items: flex-start;
        justify-content: flex-start;
        
    }
    
    .footer-title {
        font-size: 14px;
        font-weight: 600;
        line-height: 20px;
        letter-spacing: 0.75px;
    }

    .footer-category a {
      text-decoration: none;
      color: #000;
    }
    
    .f-links {
        margin-top: 24px;
        margin-bottom: 0;
        display: flex;
        flex-direction: column;
        gap: 8px;
        font-size: 12px;
        font-weight: 500;
        line-height: 20px;
        letter-spacing: 0.75px;
    }
    



    /**************styling for product page***************************************/



    /*styling for product*/

    .product {
        position: relative;
        width: auto;
        height: auto;
        margin-top: 96px;
        margin-bottom: 96px;
        padding-left: 100px;
        padding-right: 100px;
        display: grid;
        grid-template-columns: 50% 50%;
        gap: 64px;
    }




    
img {
    vertical-align: middle;
  }
  
  /* Position the image container (needed to position the left and right arrows) */
  .container {
    position: relative;
  }
  
  /* Hide the images by default */
  .mySlides {
    display: none;
  }
  
  /* Add a pointer when hovering over the thumbnail images */
  .cursor {
    cursor: pointer;
  }
  
  /* Next & previous buttons */
  .prev,
  .next {
    cursor: pointer;
    position: absolute;
    top: 40%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    border-radius: 0 3px 3px 0;
    user-select: none;
    -webkit-user-select: none;
  }
  
  /* Position the "next button" to the right */
  .next {
    right: 0;
    border-radius: 3px 0 0 3px;
  }
  
  /* On hover, add a black background color with a little bit see-through */
  .prev:hover,
  .next:hover {
    background-color: rgba(0, 0, 0, 0.8);
  }
  
  /* Number text (1/3 etc) */
  .numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
  }
  
  /* Container for image text */
  .caption-container {
    text-align: center;
    background-color: #222;
    padding: 2px 16px;
    color: white;
  }

  .row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
    margin-top: 40px;
    margin-bottom: 0;
  }
  
  .row:after {
    content: "";
    display: table;
    clear: both;
  }
  
  /* Six columns side by side */
  .column {
    float: left;
    width: 16.66%;
  }
  
  /* Add a transparency effect for thumnbail images */
  .demo {
    opacity: 1;
    border-radius: 8px;
  }
  
  .active,
  .demo:hover {
    opacity: 1;
  }


  /*styling for product-desccription*/



  .product-description > h1 {
    font-size: 24px;
    font-weight: 500;
    letter-spacing: 0.75px;
    padding: 0;
    margin-top: 0;
    margin-bottom: 30px;
  }

  .product-description > p {
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.75px;
    line-height: 28.8px;
    padding: 0;
    margin-top: 30px;
    margin-bottom: 24px;
  }

  .accordion {
    width: 100%;
    border-width: 0;
    background-color: #fff;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    padding-right: 40px;
    padding-left: 0;
    margin-top: 24px;
    margin-bottom: 24px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
  }

  .panel {
    display: none;
    padding: 0;
    margin: 0;
  }


  .panel p {
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.75px;
    line-height: 28.8px;
    padding: 0;
    margin: 0;
  }

  .color {
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-left: 0;
    margin-right: 0;
    margin-top: 80px;
    margin-bottom: 40px;
    padding: 0;
  }


  .color >button {
    width: 30px;
    height: 30px;
    background-color: #fff;
    border-width: 0;
    margin: 0;
    padding: 0;
    cursor: pointer;
  }

  .order {
    padding: 0;
    margin-top: 40px;
    margin-bottom: 30px;
    display: flex;
    flex-direction: row;
    gap: 80px;
  }

  .size {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 8px;
  }

  .size button {
    height: 44px;
    width: 33px;
    margin: 0;
    padding-left: 0;
    padding-right: 0;
    box-shadow: 0;
    border-radius: 4px;
    cursor: pointer;
  }

  #b1 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  #b2 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  #b3 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  #b4 {
    background-color: #fff;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    color: #000;
  }

  .order-qty {
    font-size: 0;
  }

  .order-qty button {
    height: 44px;
    width: 44px;
    background-color: #fff;
    box-shadow: none;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    cursor: pointer;
  }

  #bp {
    border-radius: 22px 0 0 22px;
    border-right-width: 0;
    cursor: pointer;
  }

  #bm {
    border-radius: 0 22px 22px 0;
    border-left-width: 0;
    cursor: pointer;
  }

  .order-qty input {
    height: 40px;
    width: 44px;
    border: 0.25px solid rgba(0, 0, 0, 0.25);
    border-left-width: 0;
    border-right-width: 0;
    text-align: center;
  }


  /* Chrome, Safari, Edge, Opera */
  input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  /* Firefox */
  input[type=number] {
    -moz-appearance: textfield;
  }


  .addtocart {
    padding: 0;
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 56px;
    align-items: center;
    justify-content: flex-start;
  }

  .addtocart h3 {
    font-size: 32px;
    font-weight: 600;
    letter-spacing: 0.5px;
  }

  .addtocart button {
    width: 160px;
    height: 40px;
    background-color: #0046FF;
    color: #fff;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 1px;
    line-height: 20px;
    border-radius: 4px 4px 4px 4px;
    border: 0 solid #fff;
    box-shadow: none;
    cursor: pointer;
  }

  .item-added {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 56px;
    left: 680px;
    width: 300px;
    height: auto;
    z-index: 7;
    background-color: #fff;
    border-radius: 8px;
    padding-left: 24px;
    padding-right: 24px;
    padding-top: 32px;
    padding-bottom: 32px;
    box-shadow: 8px 16px 24px -2px rgba(144, 177, 255, 0.15);
    border: 1px solid rgba(144, 177, 255, 0.3);
  }

  .close{
    display: inline;
    position: relative;
    top: -112px;
    left: -48px;
    font-size: 32px;
    font-weight: 200;
    cursor: pointer;
    margin: 0;
    padding: 0;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
  }

  .items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: 24px;
  }

  .items img {
    width: 100px;
    height: 100px;
    border-radius: 8px;
  }

  .items h3 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    line-height: 21.4px;
    padding: 0;
    margin: 0;
  }

  .prod-cost {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }

  .details {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    gap: 16px;
    margin-top: 32px;
  }

  .details img {
    width: 18px;
    height: 18px;
  }

  .details h3 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    line-height: 21.4px;
    padding: 0;
    margin: 0;
  }

  .actions {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 24px;
    margin-top: 64px;
    align-items: center;
    justify-content: center;
  }

  .actions button {
    height: 44px;
    margin: 0;
    padding: 16px;
    font-size: 12px;
    letter-spacing: 0.75px;
    align-items: center;
    border-radius: 4px;
    box-shadow: none;
  }

  #ab1 {
    border: 1px solid #000;
    background-color: #fff;
    color: #000;
  }

  #ab2 {
    border: 0px solid #000;
    background-color: #0046ff;
    color: #fff;
  }

  #ab1 a {
    text-decoration: none;
    color: #000;
  }

  #ab2 a {
    text-decoration: none;
    color: #fff;
  }

  .returns {
    padding: 0;
    margin-top: 90px;
    margin-bottom: 0;
  }

  .returns h3 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.75px;
    padding: 0;
    margin-top: 0;
    margin-bottom: 40px;
  }

  .returns p {
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.75px;
  }

  
  /********styling for cart*******/

  .incart {
    width: auto;
    padding-left: 100px;
    padding-right: 100px;
    padding-top: 96px;
    padding-bottom: 48px;
  }

  .incart h1 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 48px;
    margin-top: 0;
    padding: 0;
  }

  .cart-items {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 32px;
  }

  .item-details {
    margin: 0;
    padding: 0;
  }

  .item-details h3{
    padding: 0;
    margin: 0;
    font-size: 24px;
    font-weight: 500;
    letter-spacing: 0.75px;
  }

  .remove {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 148px;
  }

  .remove h3 {
    padding: 0;
    margin: 0;
    font-size: 24px;
    font-weight: 500;
    letter-spacing: 0.75px;
  }

  .final {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
  }

  .final button {
    height: 44px;
    width: auto;
    border-radius: 4px;
    box-shadow: none;
    border-width: 0;
    font-size: 12px;
    letter-spacing: 0.75px;
    font-weight: 400;
    padding-left: 20px;
    padding-right: 20px;
  }

  .final a {
    color: #fff;
    text-decoration: none;
  }

  .recommended {
    width: auto;
    height: auto;
    padding-left: 100px;
    padding-right: 100px;
    margin-top: 48px;
    margin-bottom: 96px;
  }

/*******************styling for checkout*******************************/

.delivery {
  width: auto;
  height: auto;
  padding-left: 100px;
  padding-right: 100px;
  padding-top: 96px;
  padding-bottom: 96px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap-reverse;
  gap: 64px;
}

.delivery-details h3{
  font-size: 24px;
  font-weight: 400;
  letter-spacing: 0.5px;
  padding: 0;
  margin-bottom: 48px;
  margin-top: 0;
}

.delivery-details form {
  margin-top: 0;
  margin-bottom: 64px;
}

.delivery-details label {
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0.75px;
  padding: 0;
  margin: 0;
}

.delivery-details input {
  width: 60%;
  height: 40px;
  border: 0.5px solid rgba(0, 0, 0, 0.4);
  border-radius: 4px;
  margin-top: 24px;
  margin-bottom: 24px;
}

.delivery-details input::placeholder {
  font-size: 12px;
  font-weight: 300;
  letter-spacing: 0.75px;
  padding: 10px;
  margin: 0;
}

.delivery-details button {
  width: auto;
  height: 44px;
  box-shadow: none;
  border-radius: 4px;
  border-width: 0;
  background-color: #0046FF;
  color: #fff;
  font-size: 12px;
  letter-spacing: 0.75px;
  font-weight: 400;
  padding-left: 20px;
  padding-right: 20px;
}

.item-det {
  margin: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 32px;
}

.item-det img {
  width: 200px;
  height: 200px;
  border-radius: 4px;
}

.item-det h3 {
  font-size: 24px;
  font-weight: 400;
  letter-spacing: 0.75px;
  margin: 0;
  padding: 0;
}

.item-det p {
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0.75px;
  margin-top: 32px;
  margin-bottom: 32px;
  padding: 0;
}

.discount-code {
  margin-top: 64px;
  margin-bottom: 64px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 32px;
}

.discount-code input {
  width: 60%;
  height: 40px;
  border: 0.5px solid rgba(0, 0, 0, 0.4);
  border-radius: 4px;
  margin-top: 0px;
  margin-bottom: 0px;
}

.discount-code input::placeholder {
  font-size: 12px;
  font-weight: 300;
  letter-spacing: 0.75px;
  padding: 10px;
  margin: 0;
}

.discount-code button {
  width: auto;
  height: 44px;
  box-shadow: none;
  border-radius: 4px;
  border-width: 0;
  background-color: #0046FF;
  color: #fff;
  font-size: 12px;
  letter-spacing: 0.75px;
  font-weight: 400;
  padding-left: 20px;
  padding-right: 20px;
}

.price {
  display: flex;
  flex-direction: row;
  gap: 128px;
}

.price-section {
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.price-section p {
  font-size: 14px;
  font-weight: 600;
  letter-spacing: 0.75px;
  margin: 0;
  padding: 0;
}

/*************************************styling for mens*****************************/

.categories {
  padding-left: 100px;
  padding-right: 100px;
  margin-top: 96px;
  margin-bottom: 0;
}

.categories button  {
  height: 44px;
  width: 128px;
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.75px;
  border-radius: 22px;
  text-decoration: none;
  box-shadow: none;
  border: 0.5px solid rgba(0, 0, 0, 0.4);
  background-color: #fff;
  color: #000;
  margin: 0 12px 0 0;
  padding: 0;
  cursor: pointer;
}

.categories a {
  text-decoration: none;
  color: #000;
}



.category {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 100px;
  padding-right: 100px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.white-space {
  margin: 0;
  padding: 0;
}

.product-list {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
}

.category-title {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  margin-bottom: 24px;
  margin-top: 0;
}

.category-title h2{
  font-size: 18px;
  font-weight: 600;
  letter-spacing: 0.75px;
}

.category-title button {
  font-size: 12px;
  letter-spacing: 0.75px;
  text-decoration: underline;
  line-height: 14px;
  border-width: 0;
  background-color: #fff;
  cursor: pointer;
}

.category-items {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 24px;
  margin: 0;
  padding: 0;
}

.category-item {
  display: flex;
  flex-direction: column;
  gap: 0px;
  margin: 0;
  padding: 0;
}

.category-item img {
  margin: 0;
  padding: 0;
}

.product-details {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin: 0;
  padding: 0;
}

.product-details h3 {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.75px;
  line-height: 21.4px;
  margin-top: 24px;
  margin-bottom: 0;
  padding: 0;
}

.product-details p {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.75px;
  line-height: 21.4px;
  margin-top: 24px;
  margin-bottom: 0;
  padding: 0;
}

.category-item h6 {
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.75px;
  margin-top: 8px;
  margin-bottom: 0;
  padding: 0;
}

.category-variant-1 {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 100px;
  padding-right: 100px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.category-variant-2 {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 100px;
  padding-right: 100px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.category-variant-3 {
  margin-top: 96px;
  margin-bottom: 96px;
  padding-left: 100px;
  padding-right: 100px;
  display: grid;
  grid-template-columns: 0% 100%;
  gap: 0;
}

.category-item-variant-3 {
  display: flex;
  flex-direction: column;
  gap: 0px;
  margin: 0;
  padding: 0;
}

.category-item-variant-3 img {
  margin: 0;
  padding: 0;
  width: 160px;
  height: 160px;
}

.category-item-variant-3  {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 0;
}

.product-details-variant-3 p {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.75px;
  line-height: 21.4px;
  margin-top: 24px;
  margin-bottom: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

}
